Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/27640/?format=api
{ "ob_id": 27640, "uuid": "b382ebe6679d44b8b0e68ea4ef4b701c", "title": "ESA Land Cover Climate Change Initiative (Land_Cover_cci): Global Land Cover Maps, Version 2.0.7", "abstract": "As part of the ESA Land Cover Climate Change Initiative (CCI) project a new set of Global Land Cover Maps have been produced. These maps are available at 300m spatial resolution for each year between 1992 and 2015.\r\n\r\nEach pixel value corresponds to the classification of a land cover class defined based on the UN Land Cover Classification System (LCCS). The reliability of the classifications made are documented by the four quality flags (decribed further in the Product User Guide) that accompany these maps. Data are provided in both NetCDF and GeoTiff format.\r\n\r\nFurther Land Cover CCI products, user tools and a product viewer are available at: http://maps.elie.ucl.ac.be/CCI/viewer/index.php . Maps for the 2016-2020 time period have been produced in the context of the Copernicus Climate Change service, and can be downloaded from the Copernicus Climate Data Store (CDS).", "keywords": "Land Cover, CCI", "publicationState": "published", "dataPublishedTime": "2019-11-29T15:39:55", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/27641/?format=api", "dataPath": "/neodc/esacci/land_cover/data/land_cover_maps/v2.0.7", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 72178185736, "numberOfFiles": 58, "fileFormat": "Data are netCDF and geotiff formatted." }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/7408/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/529/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/12066/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/50559/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/50561/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/55846/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/55847/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/55848/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/55849/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/91906/?format=api" ], "dataLineage": "Data were processed by the ESA CCI Land Cover project and supplied to CEDA in the context of the ESA CCI Open Data Portal Project", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/14431/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/14430/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/115522/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/129433/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/115521/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/115516/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/115517/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/115518/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/115519/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/115520/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/115523/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/115524/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": "https://api.catalogue.ceda.ac.uk/api/v2/computations/27642/?format=api", "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2601/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/specific_licences/esacci_landcover_terms_and_conditions.pdf", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" }, { "ob_id": 1140, "name": "ESACCI" } ] }